
/*******************************************************************************
* Copyright (c) 2016 Olivier Langella <Olivier.Langella@moulon.inra.fr>.
*
* This file is part of XTPcpp.
*
*     XTPcpp is free software: you can redistribute it and/or modify
*     it under the terms of the GNU General Public License as published by
*     the Free Software Foundation, either version 3 of the License, or
*     (at your option) any later version.
*
*     XTPcpp is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*     GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with XTPcpp.  If not, see <http://www.gnu.org/licenses/>.
*
* Contributors:
*     Olivier Langella <Olivier.Langella@moulon.inra.fr> - initial API and implementation
******************************************************************************/
#ifndef IDENTIFICATIONDATASOURCE_H
#define IDENTIFICATIONDATASOURCE_H


#include <pappsomspp/msrun/msrunid.h>
class IdentificationDataSource
{
public:
    IdentificationDataSource(pappso::MsRunIdSp & ms_run_sp);
    IdentificationDataSource(const IdentificationDataSource& other);
    ~IdentificationDataSource();
    bool operator==(const IdentificationDataSource& other) const;
    
    const QString & getResourceName () const;
    pappso::MsRunIdSp getMsRunSp () const;

protected :
    QString _resource_name;
private :
    pappso::MsRunIdSp _ms_run_sp = nullptr;
};

#endif // IDENTIFICATIONDATASOURCE_H
